#pragma once

#include "CoreMinimal.h"
#include "DBDTableRowBase.h"
#include "UObject/SoftObjectPtr.h"
#include "MaterialHelperVariantGroup.generated.h"

class UMaterialInterface;

USTRUCT(BlueprintType)
struct FMaterialHelperVariantGroup : public FDBDTableRowBase
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TMap<TSoftObjectPtr<UMaterialInterface>, TSoftObjectPtr<UMaterialInterface>> VariantMaps;

public:
	GFXUTILITIES_API FMaterialHelperVariantGroup();
};

FORCEINLINE uint32 GetTypeHash(const FMaterialHelperVariantGroup) { return 0; }
